<div *ngFor="let item of navItems">
  <li *ngIf="!item.SubOptions"><a routerLink="{{item.OptionLink}}">{{item.OptionName}}</a>
  <li *ngIf="item.SubOptions"><a>{{item.OptionName}}<span class="fa fa-chevron-down"></span></a>
    <ul class="nav child_menu">
      <li *ngFor="let subOption of item.SubOptions" class="sub_menu"><a routerLink="{{subOption.OptionLink}}">{{subOption.OptionName}}</a>
        <ul class="nav-dropdown-items" *ngIf="subOption.SubOptions">
          <app-nav-item [navItems]="subOption.SubOptions"></app-nav-item>
        </ul>
      </li>
    </ul>
  </li>
</div>